%global         package_version 1.1.6_master
%global         package_name ovirt-fast-forward-upgrade

%global         __python_bin %{__python3}
%global         __python_sitelib %{python3_sitelib}

# Skips check since rhel default repos lack flake8
%if ! 0%{?rhel}
%{!?with_check:%global with_check 1}
%else
%{!?with_check:%global with_check 0}
%endif

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%global enable_autotools 0}

%global modname ovirt-fast-forward-upgrade

Name:          ovirt-fast-forward-upgrade
Version:       1.1.6
Release:       0%{?release_suffix}%{?dist}
Summary:       Upgrade tool for RHV environments
License:       GPLv2
Group:         System Environment/Libraries
URL:           http://www.ovirt.org

Source0:       http://resources.ovirt.org/pub/ovirt-master-snapshot/src/%{package_name}/%{package_name}-%{package_version}.tar.gz

BuildArch:     noarch

Requires: subscription-manager
Requires: yum
Requires: python3-rpm
Requires: engine-db-query

BuildRequires: python3-devel
BuildRequires: python3-setuptools

%if 0%{?with_check}
BuildRequires: python3-tools
BuildRequires: python3-flake8
%endif

# Autotools BuildRequires
%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

%{!?_licensedir:%global license %%doc}

%description
A tool to help users upgrade RHV environments

%prep
%setup -q -n %{name}-%{package_version}

%build
%if 0%{?enable_autotools}
autoreconf -if
%endif

%configure \
	PYTHON="%{__python_bin}"
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%post
ln -sf %{_sbindir}/ovirt-fast-forward-upgrade %{_sbindir}/engine-fast-forward-upgrade
ln -sf %{_mandir}/man8/ovirt-fast-forward-upgrade.* %{_mandir}/man8/engine-fast-forward-upgrade.8.gz

%files
%doc AUTHORS
%license LICENSE
%{_sbindir}/ovirt-fast-forward-upgrade
%{_mandir}/man8/*

%changelog
* Wed Jul 11 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.6-0
- new release for 4.4

* Wed Jan 22 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.5-0
- spec: adjust requirement for python3

* Wed Jan 22 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.4-0
- convert to python3

* Wed Jan 22 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.3-0
- explicit call python2

* Wed Jan 22 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.2-0
- update spec file for EL8 build

* Wed Jan 22 2020 Douglas Schilling Landgraf <dougsland@redhat.com> 1.1.1-0
- Set empty environment to execute commands

* Thu Oct 25 2018 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-4
- 1.0.0-4 build

* Fri Dec 08 2017 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-3
- Release 1.0.0-3
- hyper-upgrade: Enable beta channels for 4.2
- hyper-upgrade: Single message after upgrade is done
- hyper-upgrade: remove --upgrade-to-rhv option
- --help: keep 80 chars length
- ovirt-fast-forward-upgrade: Enable/Disable with single cmd
- ovirt-fast-forward-upgrade: fix log typo

* Fri Dec 08 2017 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-2
- Release 1.0.0-2

* Wed Nov 22 2017 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-1
- Release 1.0.0-1

* Thu Oct 19 2017 Douglas Schilling Landgraf <dougsland@redhat.com> 1.0.0-0
- Initial take
